Bug 16779 - Move road type after address in US style address formatting (main address)
Summary: Move road type after address in US style address formatting (main address)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on: 4041
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-20 14:30 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16779: Move road type after address in US style address formatting (main address) (1.68 KB, patch)
2016-06-20 14:47 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16779: Move road type after address in US style address formatting (main address) (1.75 KB, patch)
2016-06-23 21:37 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16779: Move road type after address in US style address formatting (main address) (1.80 KB, patch)
2016-06-24 15:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16779: Move road type after address in US style address formatting (main address) (1.86 KB, patch)
2016-06-24 15:47 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-06-20 14:30:50 UTC
In US style addresses, road type should display after address.
Example: 25 Euclid Drive (instead of 25 Drive Euclid).
Fix it for the main address on patron's detail page.
Comment 1 Marc Véron 2016-06-20 14:47:11 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-06-23 21:37:46 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-24 15:42:58 UTC
Created attachment 52817 [details] [review]
Bug 16779: Move road type after address in US style address formatting (main address)

To verify:
- Create a patron with address, streettype, streetnumber defined
- Set syspref 'AddressFormat' to US style
- Go to patron's detail page (in staff client)
- In main address, road type preceeds address (e.g. 25 Drive Euclid)

To test:
- Apply patch
- Refrexh patron's detail page
- Verify that main address displays correctly (e.g. 25 Euclid Drive)

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-24 15:47:58 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2016-07-08 13:10:19 UTC
Pushed to master for 16.11, thanks Marc!
Comment 6 Frédéric Demians 2016-08-01 13:28:38 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 7 Julian Maurice 2016-08-16 15:05:32 UTC
Patch pushed to 3.22.x, will be in 3.22.10